#include "JsNetProperty.h"
#include <QDebug>


JsNetProperty::JsNetProperty() :
    networkManager(new QNetworkAccessManager()),url("https://jsonplaceholder.typicode.com/posts")
{

    //    Подключаем networkManager к обработчику ответа
    connect(networkManager, &QNetworkAccessManager::finished, this, &JsNetProperty::onResult);

}

JsNetProperty::~JsNetProperty()
{
    networkManager->deleteLater();
}

void JsNetProperty::getRequest()
{
    networkManager->get(QNetworkRequest(url));
}


void JsNetProperty::onResult(QNetworkReply *reply)
{
    if(reply->error()){
      qDebug()<< reply->errorString() ;
    }
    else {
        emit  ready(reply->readAll());
    }
}


