 #pragma once
#include <QObject>
#include <QNetworkAccessManager>
#include <QUrl>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QByteArray>
#include <QString>
class JsNetProperty : public QObject
{
    Q_OBJECT
public:
    JsNetProperty();
    ~JsNetProperty();

    void getRequest();
    void updateRequest();

    QUrl url ; // //////////////


signals:
    void ready(const QByteArray &array);

private slots:
    // Обработчик данных полученных от объекта QNetworkAccessManager
    void onResult(QNetworkReply *reply);

private:
    QNetworkAccessManager *networkManager;

};
