#pragma once
#include <QObject>
#include <QString>
#include <QJsonObject>

class JsonClassFields : public QObject
{
    Q_OBJECT
    Q_PROPERTY(int userId MEMBER userId NOTIFY emptySignal)
    Q_PROPERTY(int id MEMBER id NOTIFY emptySignal)
    Q_PROPERTY(QString title MEMBER title NOTIFY emptySignal)
    Q_PROPERTY(QString body MEMBER body NOTIFY emptySignal)

public:
    JsonClassFields();
    JsonClassFields(const JsonClassFields&); //?

    int userId;
    int id;
    QString title;
    QString body;

signals:
    void emptySignal();

};
