#include "JsonParseClass.h"

JsonParseClass::JsonParseClass()
{

        connect(&jsNetObj, &JsNetProperty::ready, this, &JsonParseClass::onCompleted);
//        jsNetObj.urlIsChanged();
        jsNetObj.getRequest();
        qDebug() << "Constructor is  created";
}

void JsonParseClass::setNewUrl(const QString &value)
{
    jsNetObj.url.clear();
    jsNetObj.url.setUrl(value);
   if (jsNetObj.url.isValid())
   {
       qDebug()<<"Url valid";

   }
   else {
      qDebug()<<"Url Not valid";
   }
//    emit urlIsChanged(); // ?? //
    jsNetObj.getRequest();
}

QList<QSharedPointer<JsonClassFields>> JsonParseClass::getJsonObj()
{
    return  jsonFieldsObj;
}

QJsonDocument JsonParseClass::getJsonDoc() const
{
      return jsDocument;
}

void JsonParseClass::setJsonDoc(const QJsonDocument &value)
{
    jsDocument = value;
}

QList<QObject*> JsonParseClass::dataList()
{
    QList<QObject*> objects;
    qDebug()<< jsonFieldsObj.count() ;
    for (auto item : jsonFieldsObj) {
        objects.append(item.data()); // append(insert)->item (- each obj in list)
    }
     qDebug()<< objects.count() ;
    return objects;

}

void JsonParseClass::onCompleted(const QByteArray &array)
                                 /*const QByteArray &value1 ... 4 )*/ //set QMLvalue
{
    jsDocument = QJsonDocument::fromJson(array);
    if(jsDocument.isEmpty())
        qDebug()<<"Empty document!";
    else {
        QJsonArray jArray = jsDocument.array();
        qDebug() << jArray.size();
        QList<QSharedPointer<JsonClassFields>> jsonObjs;
        foreach (const QJsonValue& value, jArray) {
            QJsonObject object = value.toObject();
            JsonClassFields elemList;
            elemList.userId = object.value("userId").toInt();
            elemList.id = object.value("id").toInt();
            elemList.title = object.value("title").toString();
            elemList.body = object.value("body").toString();
            jsonObjs.append(QSharedPointer<JsonClassFields>::create(elemList));
        }
        setJsonFieldsObj(jsonObjs);
    }

}

void JsonParseClass::setJsonFieldsObj(const QList<QSharedPointer<JsonClassFields>>& value) {
    jsonFieldsObj = value;
    emit jsonFieldsObjChanged();
}
